//==================================================================//
//==================================================================//
//= SDLInput.cpp ================================================//
//==================================================================//
//= Original coder: Trent Polack (ShiningKnight) ===================//
//==================================================================//
//==================================================================//

#include "Shining3D.h"

SHININGINPUT::SHININGINPUT()
	{
	SDL_EnableKeyRepeat(10000, 10000);
	SDLInputUpdate();
	}

SHININGINPUT::~SHININGINPUT()
	{	}

//------------------------------------------------------------------//
//- void SDLInputUpdate(void) --------------------------------------//
//------------------------------------------------------------------//
//- Description: This function updates the keyboard buffer         -//
//------------------------------------------------------------------//
void SHININGINPUT::SDLInputUpdate(void)
	{
	SDL_PumpEvents();
	keyBuffer = SDL_GetKeyState(NULL);
	}

bool SHININGINPUT::KeyDown(SDLKey key)
{
	return (keyBuffer!=NULL && keyBuffer[key]);
}
